package com.gree.mall.manager.enums.material;

import lombok.Getter;

@Getter
public enum PartsObjectTypeEnum {
    NOT_RETURN("无件返回"),
    NEW_REFUND("新件退库"),
    OLD_REFUND("退旧件"),
    ;

    private final String desc;

    PartsObjectTypeEnum(String desc) {
        this.desc = desc;
    }

    public static PartsObjectTypeEnum findDescByKey(String desc) {
        return PartsObjectTypeEnum.valueOf(desc);
    }
}
